org.apache.flume.thrift

## Class ThriftSourceProtocol.AsyncClient

- java.lang.Object
- - org.apache.thrift.async.TAsyncClient
  - - org.apache.flume.thrift.ThriftSourceProtocol.AsyncClient

- All Implemented Interfaces:
    ThriftSourceProtocol.AsyncIface
  Enclosing class:
    ThriftSourceProtocol

      public static class ThriftSourceProtocol.AsyncClient
      extends org.apache.thrift.async.TAsyncClient
      implements ThriftSourceProtocol.AsyncIface

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ThriftSourceProtocol.AsyncClient.append_call`
    `static class` | `ThriftSourceProtocol.AsyncClient.appendBatch_call`
    `static class` | `ThriftSourceProtocol.AsyncClient.Factory`

  - ### Field Summary

    - ### Fields inherited from class org.apache.thrift.async.TAsyncClient

      `___currentMethod, ___manager, ___protocolFactory, ___transport`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThriftSourceProtocol.AsyncClient(org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.async.TAsyncClientManager clientManager, org.apache.thrift.transport.TNonblockingTransport transport)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `append(ThriftFlumeEvent event, org.apache.thrift.async.AsyncMethodCallback<ThriftSourceProtocol.AsyncClient.append_call> resultHandler)`
    `void` | `appendBatch(List<ThriftFlumeEvent> events, org.apache.thrift.async.AsyncMethodCallback<ThriftSourceProtocol.AsyncClient.appendBatch_call> resultHandler)`

    - ### Methods inherited from class org.apache.thrift.async.TAsyncClient

      `checkReady, getError, getProtocolFactory, getTimeout, hasError, hasTimeout, onComplete, onError, setTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThriftSourceProtocol.AsyncClient

          public ThriftSourceProtocol.AsyncClient(org.apache.thrift.protocol.TProtocolFactory protocolFactory,
                                          org.apache.thrift.async.TAsyncClientManager clientManager,
                                          org.apache.thrift.transport.TNonblockingTransport transport)

  - ### Method Detail

    - #### append

          public void append(ThriftFlumeEvent event,
                    org.apache.thrift.async.AsyncMethodCallback<ThriftSourceProtocol.AsyncClient.append_call> resultHandler)
                      throws org.apache.thrift.TException

      Specified by:
        `append` in interface `ThriftSourceProtocol.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### appendBatch

          public void appendBatch(List<ThriftFlumeEvent> events,
                         org.apache.thrift.async.AsyncMethodCallback<ThriftSourceProtocol.AsyncClient.appendBatch_call> resultHandler)
                           throws org.apache.thrift.TException

      Specified by:
        `appendBatch` in interface `ThriftSourceProtocol.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.